Skip to main content
GET
/
account
/
{id}
/
transaction
List Transactions
curl --request GET \
  --url https://api.treasuryprime.com/account/{id}/transaction \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.treasuryprime.com/account/{id}/transaction"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.treasuryprime.com/account/{id}/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "ach_id": "ach_1234567",
      "amount": "1975.00",
      "balance": "256147.27",
      "billpay_payment_id": null,
      "book_id": null,
      "card_id": null,
      "category": null,
      "check_id": null,
      "check_number": null,
      "date": "2017-11-27",
      "desc": "EXT-XFER Sq. Nbr.: 123456",
      "extended_timestamp": "2017-11-27T01:02:03Z",
      "extended_timestamp_precise": "2017-11-27T01:02:03.300Z",
      "fednow_id": null,
      "fingerprint": "2k7vxetham4i1v3ceb5vs6",
      "id": "ttx_113333abcd",
      "incoming_ach_id": null,
      "incoming_wire": null,
      "incoming_wire_id": null,
      "issued_check_id": null,
      "network_transfer_id": null,
      "related_transfer_ids": [],
      "summary": "ACME CORP VENDOR PMT",
      "trace_id": null,
      "type": "deposit",
      "type_source": null,
      "userdata": null,
      "wire": null,
      "wire_id": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Unique identifier for object

Query Parameters

ach_id
string

The ID of the ACH object that originated this transaction, if any. Otherwise null. Filterable.

book_id
string

The ID of the Book Transfer object that originated this transaction, if any. Otherwise null. Filterable.

card_id
string

The ID of the Card Object that originated this transaction, if any. Otherwise null. Filterable.

check_id
string

The ID of the Check Deposit object that originated this transaction, if any. Otherwise null. Filterable.

fednow_id
string

The ID of the Fednow object that originated this transaction, if any. Otherwise null. Filterable.

greendot_deposit_id
string

The ID of the Prime Cash object that the transaction is related to. Otherwise null. Filterable.

issued_check_id
string

The ID of the Issued Check Object that originated this transaction, if any. Otherwise null. Filterable.

network_transfer_id
string

The ID of the Network Transfer that originated this transaction, if any. Otherwise null. Filterable.

posted
enum<string>

true to filter the transactions that have posted. Filterable.

Available options:
true,
false
trace_id
string

A common id used to tie multiple, related transactions together. Currently used to connect hold and hold_release transactions to a debit and to link transactions to their related card events. Filterable.

type
string

Type of transaction. One of charge, deposit, hold, hold_release, interest, payment, reversal, withdrawal, or null. Filterable.

type_source
string

The type of payment that initiated this transaction, if any. One of ach, bank, book, card, check, fednow, greendot, or wire. Otherwise null. Limited availability. Filterable.

wire_id
string

The ID of the Wire object that originated this transaction, if any. Otherwise null. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size transaction elements, starting after the transaction described by page_cursor. If no more transactions are available, the resulting list will be empty.

data
object[]